# Uses of Interface
org.apache.sling.scripting.sightly.js.impl.async.UnaryCallback

Packages that use UnaryCallback
Package
Description
org.apache.sling.scripting.sightly.js.impl.async

## Uses of UnaryCallback in org.apache.sling.scripting.sightly.js.impl.async

Methods in org.apache.sling.scripting.sightly.js.impl.async that return UnaryCallback
Modifier and Type
Method
Description
`UnaryCallback`
AsyncContainer.`createCompletionCallback()`
Create a callback that will complete this container
Methods in org.apache.sling.scripting.sightly.js.impl.async with parameters of type UnaryCallback
Modifier and Type
Method
Description
`void`
AsyncContainer.`addListener(UnaryCallback unaryCallback)`
Add a listener that will receive the value in this container when it will be filled.
`void`
AsyncExtractor.`extract(Object jsObj, UnaryCallback unaryCallback)`